Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1CommandAdminPermissionGrant

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1CommandAdminPermissionGrant

Record Components:
  `fieldAdminId` - The admin.
  `fieldPermission` - The permission.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `ProtocolIdA1Type`, `ProtocolIdA1v1Type`

public record IdA1CommandAdminPermissionGrant(com.io7m.cedarbridge.runtime.api.CBUUID fieldAdminId, IdA1AdminPermission fieldPermission) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolIdA1v1Type
Grant a permission to the given admin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1CommandAdminPermissionGrant(com.io7m.cedarbridge.runtime.api.CBUUID fieldAdminId, IdA1AdminPermission fieldPermission)`
  Creates an instance of a `IdA1CommandAdminPermissionGrant` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1CommandAdminPermissionGrant`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1CommandAdminPermissionGrant.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldAdminId()`
  Returns the value of the `fieldAdminId` record component.
  `IdA1AdminPermission`
  `fieldPermission()`
  Returns the value of the `fieldPermission` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandAdminPermissionGrant $x)`
  Serialize a value of type IdA1CommandAdminPermissionGrant.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1CommandAdminPermissionGrant

    public IdA1CommandAdminPermissionGrant(com.io7m.cedarbridge.runtime.api.CBUUID fieldAdminId, IdA1AdminPermission fieldPermission)
    Creates an instance of a `IdA1CommandAdminPermissionGrant` record class.
    Parameters:
      `fieldAdminId` - the value for the `fieldAdminId` record component
      `fieldPermission` - the value for the `fieldPermission` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandAdminPermissionGrant $x) throws IOException
    Serialize a value of type IdA1CommandAdminPermissionGrant.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1CommandAdminPermissionGrant deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1CommandAdminPermissionGrant.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1CommandAdminPermissionGrant.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldAdminId

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldAdminId()
    Returns the value of the `fieldAdminId` record component.
    Returns:
      the value of the `fieldAdminId` record component

  - ### fieldPermission

    public IdA1AdminPermission fieldPermission()
    Returns the value of the `fieldPermission` record component.
    Returns:
      the value of the `fieldPermission` record component